# Exchange Rates

`GET` `/v1/asset/exchange_rates`

Get current foreign exchange rates for all currency pairs used in your account.

## Parameters

### Query Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `base` | string | No | Base currency, e.g. `USD`. Omit for all pairs. |

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v1/asset/exchange_rates' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `exchanges` | object[] | No | List of exchange rates |
| `└ base_currency` | string | No | Base currency |
| `└ other_currency` | string | No | Quote currency |
| `└ bid_rate` | number | No | Bid rate |
| `└ offer_rate` | number | No | Offer rate |
| `└ average_rate` | number | No | Average exchange rate: the value of 1 `other_currency` in `base_currency`. For example, `base_currency=USD`, `other_currency=HKD`, `average_rate=0.12746` means 1 HKD = 0.12746 USD |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "exchanges": [
      {
        "base_currency": "USD",
        "other_currency": "HKD",
        "bid_rate": 0.12746,
        "offer_rate": 0.12746,
        "average_rate": 0.12746
      }
    ]
  }
}
```
